#
ARCH	=	UVAX
ARCHCFLAGS	=
ARCHDLIB	= -
,disk1:[EOHBDLC.PVM.SRC_31.vms]libpvm3.olb/lib -
,disk1:[EOHBDLC.XDR]libxdr.olb/lib -
,sys$library:ucx$ipc/lib -
,sys$library:rpc$libnck/lib
ARCHDOBJ	=
HASRANLIB	=	t
# END of custom section - leave this line here
#
# Generic Makefile body.
# To update, edit Makefile.body and run lib/UpdateMk.
#
# Imports:
#  ARCH       = the official pvm-name of your processor
#  ARCHCFLAGS = special cc flags
#  ARCHDLIB   = special libs needed for daemon
#  ARCHDOBJ   = special objects needed for daemon
#  HASRANLIB  = 't' or 'f'
#
# Define:
#  FDSETPATCH      if includes don't have fd_set stuff
#  NOGETDTBLSIZ    if libc doesn't have getdtablesize()
#  NOREXEC         if machine doesn't have rexec()
#  NOSOCKOPT       if libwhatever doesn't have setsockopt() or it doesn't work
#  NOSTRCASE       if libc doesn't have strcasecmp, strncasecmp
#  RSHCOMMAND      to define rsh command other than "/usr/ucb/rsh"
#  SOCKADHASLEN    if struct sockaddr has an sa_len field
#  SYSVSIGNAL      for system5 signal handling
#  SYSVSTR         for strchr() instead of index()
#  UDPMAXLEN       to set special max udp packet size
#  USE_PVM_ALLOC   to use instrumented malloc functions (for system debugging)
#
SHELL	=	/bin/sh
CC	=	cc
SDIR	=	[-]
RM      =       delete
LINK     =      link
LFLAGS   = /map/crossreference/debug/executable=
# LFLAGS   = /map/crossreference/executable=
LIBCREATE =     library/create/insert
CFLAGS	=	/noopt/debug/include_directory=(BPA50$DKB200:[EOHBDLC.PVM.SRC]) -
                /DEFINE=("SYSVSTR=TRUE","ARCHCLASS=UVAX","IMA_UVAX=TRUE") -
                $(ARCHCFLAGS)
# CFLAGS	=	-g -DARCHCLASS=\"$(ARCH)\" -DIMA_$(ARCH) $(ARCHCFLAGS)
#CFLAGS	=	-O -DARCHCLASS=\"$(ARCH)\" -DIMA_$(ARCH) $(ARCHCFLAGS)
#CFLAGS	=	-g -DARCHCLASS=\"$(ARCH)\" -DIMA_$(ARCH) $(ARCHCFLAGS) -DUSE_PVM_ALLOC
# DOBJ	=	spmd.obj
# LOBJ	=	spmd.obj
F77 = FORTRAN
FLAGS = /debug/cross
#
all :	 spmd master1 slave1 
#
testall : testall.obj
	$(LINK) $(LFLAGS)testall.exe testall.obj $(ARCHDLIB) 

tasks :	tasks.obj
	$(LINK) $(LFLAGS)tasks.exe tasks.obj $(ARCHDLIB) 

master1 :	master1.obj
	$(LINK) $(LFLAGS)master1.exe master1.obj $(ARCHDLIB) 

slave1 :	slave1.obj
	$(LINK) $(LFLAGS)slave1.exe slave1.obj $(ARCHDLIB) 

config :	config.obj
	$(LINK) $(LFLAGS)config.exe config.obj $(ARCHDLIB) 

spmd :	spmd.obj
	$(LINK) $(LFLAGS)spmd.exe spmd.obj $(ARCHDLIB) 
#	$(LINK) $(CFLAGS) pvmd3 $(DOBJ) $(ARCHDLIB)
#
clean :
	$(RM) -f $(DOBJ) $(LOBJ) pvmd3 libpvm3.a
#
tidy :
	$(RM) -f $(DOBJ) $(LOBJ)
#
# .obj deps
testall.obj :	$(SDIR)testall.f
	$(F77) $(FLAGS) $(SDIR)testall.f
config.obj :	$(SDIR)config.c
	$(CC) $(CFLAGS)  $(SDIR)config.c
spmd.obj :	$(SDIR)spmd.c
	$(CC) $(CFLAGS)  $(SDIR)spmd.c
master1.obj :	$(SDIR)master1.c
	$(CC) $(CFLAGS)  $(SDIR)master1.c
slave1.obj :	$(SDIR)slave1.c
	$(CC) $(CFLAGS)  $(SDIR)slave1.c
tasks.obj :	$(SDIR)tasks.c
	$(CC) $(CFLAGS)  $(SDIR)tasks.c
# .h deps
# spmd.obj : $(SDIR)spmd.h
